<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>Customers</title>
</head>
<body>
  <form id="form1" runat="server">
  
    <atlas:ScriptManager ID="scriptManager1" runat="server">
      <Services>
        <atlas:ServiceReference Path="CustomerService.asmx" />
      </Services>
    </atlas:ScriptManager>
    
    <input id="Button1" type="button" value="Customers" onclick="Button1_onclick();" />

    <div id="customers1">
      <!-- Designer Customized -->
      <div style="display: none;">
        <div id="customers1_layoutTemplate">
          <div id="customers1_layoutTemplate_parent">
            <div id="customers1_itemTemplate">
                <span id="customers1_layoutTemplate_firstName"></span>&nbsp; <span id="customers1_layoutTemplate_lastName"></span>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script language="javascript" type="text/javascript">
    
        function Button1_onclick() {
            CustomerService.GetCustomers(onSearchComplete);
        }
        
        function onSearchComplete(results) {
            document.getElementById("customers1").control.set_data(results);
        }
        
    </script>

    <script type="text/xml-script">
    <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
      <components>
      
       <listView id="customers1" cssClass="listView" itemTemplateParentElementId="customers1_layoutTemplate_parent">
          
          <layoutTemplate>
            <template layoutElement="customers1_layoutTemplate" />
          </layoutTemplate>
          
          <itemTemplate>
            <template layoutElement="customers1_itemTemplate">
            
              <label id="customers1_layoutTemplate_firstName" cssClass="name" >
                <bindings>
                  <binding dataPath="FirstName" property="text" />
                </bindings>
              </label>
              
              <label id="customers1_layoutTemplate_lastName" cssClass="description" >
                <bindings>
                  <binding dataPath="LastName" property="text" />
                </bindings>
              </label>
              
            </template>
          </itemTemplate>
          
        </listView>
        
      </components>
    </page>
    </script>

  </form>
</body>
</html>
