﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CustomerListUpdatePanel.aspx.cs" Inherits="CustomerListUpdatePanel"
                       EnableEventValidation="false" EnableViewState="true"%>
<%@Register Src="~/ShowCode.ascx" TagPrefix="uc1" TagName="ShowCode" %> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Northwind Customer List using ATLAS UpdatePanel</title>
    <link href="../WestWind.css" rel="stylesheet" type="text/css" />
    <link href="../csharp.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
<atlas:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="true">
</atlas:ScriptManager>
        <div>
            <h1>ATLAS Northwind Customer List using UpdatePanel</h1>
        </div>
        <a href="../default.aspx">Home</a> | <a href="CustomerListUpdatePanel.aspx" >Reset Page</a> | <small>Page created:&nbsp;<%= DateTime.Now.ToString() %></small><br />
        &nbsp;<br />
        <br />
        <center>

          
            &nbsp;<table class="blackborder" style="background: #eeeeee; text-align: left; height: 459px;"
                cellpadding="0">
                <tr class="gridheader">
                    <td colspan="2" cssclass="gridheader" height="24">
                        &nbsp;<span id="DialogTitle">Customer List</span></td>
                </tr>
                <tr>
                    <td valign="top" style="height: 435px">
<atlas:UpdatePanel runat="server" Mode="Conditional" ID="CustListUpdatePanel">
    <ContentTemplate>
    <asp:ListBox ID="lstCustomers" runat="server" Height="442px" Width="300px" 
                 OnSelectedIndexChanged="lstCustomers_SelectedIndexChanged" 
                 AutoPostBack="True" EnableViewState="false" >
    </asp:ListBox>
    </ContentTemplate>
</atlas:UpdatePanel>                                       

                    </td>
                    <td valign="top" style="padding-left: 20px; padding-top: 10px; padding-right: 10px;
                        height: 435px;">
                        
<atlas:UpdatePanel ID="CustomerUpdatePanel" runat="server" Mode="Conditional">
<Triggers>
     <atlas:ControlEventTrigger ControlID="btnSave" EventName="Click" />
     <atlas:ControlEventTrigger ControlID="lstCustomers" EventName="SelectedIndexChanged" />
</Triggers>  
<ContentTemplate>
    <br />
                        <asp:HiddenField runat="server" ID="txtPK" Value="<%# this.Customer.Entity.Customerid %>"/>       
                        
                        <asp:Label ID="Label2" runat="server" Text="Name:" Width="263px"></asp:Label><br />
                        <asp:TextBox ID="txtContactName" runat="server" Width="350px" Text="<%# this.Customer.Entity.Contactname %>" ></asp:TextBox><br />
                        <br />
                        <asp:Label ID="Label1" runat="server" Text="Company:"></asp:Label><br />
                        <asp:TextBox ID="txtCompany" runat="server" Width="350px" Text='<%# this.Customer.Entity.Companyname %>'></asp:TextBox><br />
                        <br />
                        Address:<br />
                        <asp:TextBox ID="txtAddress" runat="server" Width="350px" Height="53px" TextMode="MultiLine" Text="<%# this.Customer.Entity.Address %>"></asp:TextBox><br />
                        <br />
                        City:<br />
                        <asp:TextBox ID="txtCity" runat="server" Width="350px" Text="<%# this.Customer.Entity.City %>"></asp:TextBox><br />
                        <br />
                        <table>
                            <tr>
                                <td>
                                    Region:
                                    <br />
                                    <asp:TextBox ID="txtRegion" runat="server" Width="74px" Text="<%# this.Customer.Entity.Region %>"></asp:TextBox></td>
                                <td>
                                    &nbsp;&nbsp;Postal Code:<br />
                                    &nbsp;&nbsp;<asp:TextBox ID="txtPostalCode" runat="server" Width="192px" Text="<%# this.Customer.Entity.Postalcode %>"></asp:TextBox><br />
                                </td>
                            </tr>
                        </table>
                        <br />
                        Country:<br />
                        <asp:TextBox ID="txtCountry" runat="server" Width="350px" Text="<%# this.Customer.Entity.Country %>" /><br />
                        <hr />
                        &nbsp;
                      </ContentTemplate>                                               
                </atlas:UpdatePanel>

                        <asp:Button runat="server" ID="btnSave" Text=" Save Customer "  accesskey="S" style="width: 150px" OnClick="btnSave_Click" />
                        <asp:Button runat="server" ID="btnRefresh" Text=" Refresh List " style="width:150px;" />
                        
                   </td>
                </tr>
                            
            </table>
        </center>


        <p />
        <blockquote>
            This example demonstrates using an ATLAS UpdatePanel to update portions of the page
            simply by wrapping certain portions of the page into UpdatePanel controls. Besides
            adding these panels no additional changes need to be made to enable the page for
            AJAX callback operation.<br />
            <br />
            There are a few caveats: This sample sends a lot of data back and forth on the list
            selection. In the current ATLAS build the source of &nbsp;</blockquote>
        <hr />
        <uc1:ShowCode ID="ShowCode1" runat="server" CodeFile="~/atlas/CustomerListAtlas.aspx.cs"
            Text="Show Code" />
        <uc1:ShowCode ID="ShowCode2" runat="server" CodeFile="~/atlas/CustomerListAtlas.aspx"
            Text="Show ASPX" />
    </form>
</body>
</html>

