﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WebServiceTest.aspx.cs" Inherits="WebServiceTest" %>

<html>
<head runat="server">
    <title>Atlas Web Service Test</title>
</head>
<body>
    <form id="form1" runat="server">
        <atlas:ScriptManager ID="ScriptManager1" runat="server">
            <Services>
                <atlas:ServiceReference Path="SimpleService.asmx" />
            </Services>
        </atlas:ScriptManager>
        
        <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
        <input id="btnSubmit" type="button" value="button" onclick="btnSubmit_Click();" />
        <br />
        <br />
        <asp:TextBox ID="txtCustomerName" runat="server"></asp:TextBox>&nbsp;
        <input id="btnGetCustomer" type="button" value="Get Customer" language="javascript"
            onclick="return btnGetCustomer_onclick()" />
        <input id="btnSaveCustomer" type="button" value="Save Customer" language="javascript"
            onclick="return btnSaveCustomer_Click()" /><br />
        <asp:Label ID="lblMessage" runat="server" Text="Label"></asp:Label>

        <script>
    var Customer = {"Name":"Rick","Company":"West Wind"};
    
    function btnSubmit_Click() 
    {
        var Service = Westwind.AtlasTest.SimpleService.HelloWorld(
                document.getElementById("txtName").value,btnSubmit_Click_OnComplete,TimeOut);
        
        return false;
    }
    function btnSubmit_Click_OnComplete(result)
    {
        alert(result);
    }
    function TimeOut(result) 
    {
       alert(result); 
    }
    function btnGetCustomer_onclick() 
    {
        Service = Westwind.AtlasTest.SimpleService.GetCustomer(
                btnGetCustomer_Click_Complete,
                btnGetCustomer_Click_Failure);
        return false;
    }
    function btnGetCustomer_Click_Complete(result)
    {
    alert(result);
        document.getElementById("txtName").value = result.Name;
        alert(result.Name);
        alert(result.Entered);
        Customer = result;
    }
    function btnGetCustomer_Click_Failure(result)
    {
        alert(result);
    }
    function btnSaveCustomer_Click() 
    {
        var Customer = new Westwind.AtlasTest.busCustomer();
        Customer.Name = document.getElementById("txtName").value;
        Customer.Company = "West";
        Customer.Entered = new Date(2005,8,26,20,54,56);
  
        Service = Westwind.AtlasTest.SimpleService.SaveCustomer(Customer,btnSaveCustomer_Click_Complete,btnSaveCustomer_Click_Complete);        
        return false;
    }
    function btnSaveCustomer_Click_Complete(result)
    {
        alert(result);
    }
        </script>

        <br />
    </form>
</body>
</html>
