﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<html>
<head runat="server">
    <title>Script Callbacks in ASP.NET 2.0</title>
    <link href="WestWind.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
            <table width="100%">
                <tr>
                <tr>
                    <td class="gridheader" height="35" valign="middle" align="center">
                        <span style="font-size: 16pt; font-weight: bold"> wwHoverPanel Control AJAX Samples&nbsp;</span></td>
                </tr>
            </table>
            <hr />
            <br />
            <table>
                <tr>
                    <td valign="top" style="width: 798px">
                        <ul>
                            <li><strong><a href="HoverList.aspx">HoverPanel Control Invoice List Popup</a><br />
                            </strong>This demo shows the same sample as the Invoice LineItem Hover Window
                                <br />
                                Popup, but uses a custom HoverPanel control that requires much less code<br />
                                and automates the process of loading content from another URL into<br />
                                the current page. The control can automatically manage the hover window<br />
                                effects. <span style="font-size: 0.8em">(<a href="http://www.west-wind.com/wwstore/ItemList.aspx">another
                                    live sample</a>)</span><br />
                                <br />
                            </li>
                            <li><a href="SimpleMethodCallbacks.aspx"><strong>Simple Page Method Calbacks<br />
                            </strong>
                            </a><strong><a href="complexobjects.aspx">Complex Objects Page Method Callbacks</a></strong><br />
                                The samples on these pages demonstrate how to call
                                back onto the current<br />
                                ASP.NET Page and access methods on the server. Methods are called with<br />
                                strong typing maintained, including for many complex
                                types using JSON<br />
                                formatting for two way serialization of types. <span style="font-size: 8pt">(</span><a
                                    href="http://www.west-wind.com/webstoresandbox/admin/SpecialsManager.aspx"><span
                                        style="font-size: 8pt">another live sample</span></a><span style="font-size: 8pt">)<br />
                                        </span>
                                <br />
                            </li>
                            <li><a href="PageCallback.aspx"><strong>HoverPanel External Page Callback</strong></a><a href="HoverMethodCallback.aspx"><br />
                            </a>This sample demonstraes calling an external Url and returning a string result<br />
                                directly, embedding the HTML result into the page. This mechanism is a great<br />
                                tool for retrieving HTML fragments and separating the display content from the<br />
                                current page for easier debugging and testing.
                                <br />
                                <br />
                            </li>
                            <li><a href="CustomerList.aspx"><strong>HoverPanel Northwind Customer List Sample</strong></a><br />
                                This is a more involved example, that uses Page Method Callbacks to display<br />
                                a customer list form with all data being loaded via remote callbacks. This sample<br />
                                demonstrates passing complex data from the server, updating the data on the
                                <br />
                                client and passing the result object back to the server for saving. </li>
                        </ul>
                    </td>
                    <td valign="top">
                        <p>
                            <span style="font-size: 8pt"><strong>
                            </strong>
                                </span></p>
                    </td>
                </tr>
            </table>
    <hr>
    <table width="99%">
        <tr>
            <td valign="top">
                <a href="http://www.west-wind.com"><img src="images/wwtoollogo_text.gif" border="0" align="left" ></a>
                © Rick Strahl,  <a href="http://www.west-wind.com/">West Wind Technologies</a>
            </td>
            <td align="right" valign="top">
                <img src="images/help.gif" alt="Configuration Help">
                <a href="http://www.west-wind.com/tools/wwhoverpanel/docs">Online Documentation</a>&nbsp;<br />
                <img src="images/help.gif" alt="Configuration Help">
                <a href="_readme.htm">Sample Configuration</a>&nbsp;</td>
        </tr>
    </table>
    </form>
    
</body>
</html>
