<%@ Page Language="C#" AutoEventWireup="true" CodeFile="HvList.aspx.cs" Inherits="HvList" 
         MasterPageFile="~/Main.master"
         EnableViewStateMac="false"  %>
<%@Register Namespace="Westwind.Web.Controls" assembly="wwhoverpanel" TagPrefix="ww" %>
<%@Register Src="~/ShowCode.ascx" TagName="ShowCode" TagPrefix="uc1" %>

<asp:Content runat='server' ContentPlaceHolderID="ContentPlaceHolder1">
<script type="text/javascript">
function ShowInvoice(event,Id)
{
    StartCallback('LookupPanel',event,"id=" + Id.toString());    
}    
function HideInvoice()
{
    HidePanel('LookupPanel');
}
</script>	
    <div>
        <h1>
            wwHoverList Invoices</h1>
        <br />
            <a href="default.aspx">Home</a> | <a href="HVList.aspx">Reset Page</a> | <small>Page generated: <%=DateTime.Now  %></small>
            
        <p />
        &nbsp; &nbsp;
        <asp:CheckBox ID="chkFullInvoice" runat="server" Text="Show Full Invoice Page" /><p/>
        
            &nbsp;&nbsp;
        <asp:Label ID="lblErrorMessage" runat="server" CssClass="ErrorMessage" Width="457px" Visible="False"></asp:Label>&nbsp;
    
    </div>
        <asp:GridView ID="gvInvoiceList" runat="server"  CellPadding="3" CssClass="blackborder" AutoGenerateColumns="false"
                      Width="95%"  GridLines="None"
                      HorizontalAlign="Center" AllowPaging="True" 
                      OnPageIndexChanging="gvInvoiceList_PageIndexChanging" PagerSettings-Mode="NumericFirstLast" PageSize="10" EnableViewState="False">
            <FooterStyle cssclass="gridheader"/>
            <PagerStyle cssclass="gridheader"  ForeColor="White" HorizontalAlign="Right" />
            <AlternatingRowStyle CssClass="gridalternate" />
            <HeaderStyle cssclass="gridheader"  Font-Bold="True" />
            <Columns>
                <asp:TemplateField>
                <HeaderTemplate>Invoice No.</HeaderTemplate>
                <ItemTemplate>
                	<a href='InvoiceAbstract.aspx?id=<%# Eval("OrderId") %>' 
                	   onmouseover='ShowInvoice(event,<%# Eval("OrderId") %>);'
                	   onmouseout='HideInvoice();' >
                	<%# Eval("OrderId") %></a>
                </ItemTemplate>
                    <ControlStyle Width="200px" />
                    <ItemStyle HorizontalAlign="Center" />
				</asp:TemplateField>

                <asp:TemplateField >
                <HeaderTemplate>Date</HeaderTemplate>
                <ItemTemplate>
                			<%# ((DateTime)Eval("OrderDate")).ToString("d") %>
                </ItemTemplate>
				</asp:TemplateField>
                
                <asp:TemplateField >
                <HeaderTemplate>Company</HeaderTemplate>
                <ItemTemplate>
                			<%# Eval("Company") %>
                </ItemTemplate>
				</asp:TemplateField>

                <asp:TemplateField >
                <HeaderTemplate>Name</HeaderTemplate>
                <ItemTemplate>
                			<%# Eval("Name") %>
                </ItemTemplate>
				</asp:TemplateField>

                <asp:TemplateField >
                <HeaderTemplate>Order Total</HeaderTemplate>
                <ItemTemplate>
                			<%# ((decimal)Eval("OrderTotal")  + (decimal) Eval("Freight")).ToString("n2") %>
                </ItemTemplate>
                    <ItemStyle HorizontalAlign="Right" />
				</asp:TemplateField>
            </Columns>
            <PagerSettings Mode="NumericFirstLast" />
        </asp:GridView>
        <br />
        <hr />
        <blockquote>
        This demo demonstrates using the wwHoverPanel class to automatically display the
            content of another URL at the current mouse cursor position. With wwHoverPanel all
            the messy HTML formatting is handled
        for you and you only hook up the onmouseover
            and onmouseout events on the link - the mouse positioning and url retrieval is completely
            automatic.
            <p></p>
            Notice also that simple control values can be automatically restored into the page. The
            chkShowFullInvoice control's value is directly accessible because the form's content
            is posted back to the server. Note that this works only for directly assignable POST values
            but fails with controls like lists since lists require data to assign values.
        <hr />
        <uc1:ShowCode ID="ShowSource" runat="server" CodeFile="~/HoverList.aspx.cs" />
        <uc1:ShowCode ID="ShowAspx" runat="server" CodeFile="~/hoverlist.aspx" Text="Show ASPX" />
        &nbsp;
        <ww:wwhoverpanel id="LookupPanel" runat="server" style="display: none; background: white;" 
            NavigateDelay="300" 
            EventHandlerMode="ShowHtmlAtMousePosition"
            ServerUrl="HVList.aspx"
            ScriptLocationType="EmbeddedInPage"
            PanelShadowOffset="10"
            PostBackMode="POSTNoViewstate"
            AdjustWindowPosition="true">
        </ww:wwhoverpanel>
           <ww:wwhoverpanel id="Callback" runat="server" style="display: none; background: white;" 
            NavigateDelay="300" 
            EventHandlerMode="CallPageMethod"
            ServerUrl="HVList.aspx"
            ScriptLocationType="EmbeddedInPage"
            PanelShadowOffset="0"
            PostBackMode="POSTMethodParametersOnly"
            AdjustWindowPosition="true">
        </ww:wwhoverpanel>
        <input type="button" onclick="Callback.Helloworld('Rick',Helloworld_Callback);" value="Hello WOrld" />
        <script>
        function Helloworld_Callback(Result)
        {
        alert(Result);
        }
        </script>
</blockquote>

</asp:Content>