<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AnthemHello.aspx.cs" Inherits="Anthem_AnthemHello" %>
<%@ Register Src="~/ShowCode.ascx" TagName="ShowCode" TagPrefix="uc1" %>
<%@ Register Assembly="Anthem" Namespace="Anthem" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Hello World with Anthem</title>
    <link href="../WestWind.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <script type="text/javascript">
    function SayHelloOnStart(Source)
    {
        document.getElementById('lblMessage').innerHTML = 'Updating...';
    }
    </script>
    <div>
        <h1>Anthem Control Hello World</h1>
        
        <a href="../default.aspx">Home</a> | <a href="AnthemHello.aspx" >Reset Page</a> | <small>Page created:&nbsp;<%= DateTime.Now.ToString() %></small><br />
        &nbsp;<br />
        <br />
        &nbsp; Enter your name:
        <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
        <cc1:button id="btnSayHello" runat="server" text="Say Hello" OnClick="btnSayHello_Click" PreCallBackFunction="SayHelloOnStart" EnabledDuringCallBack="False"></cc1:button>
        <hr />
        &nbsp;
        <cc1:label id="lblMessage" runat="server" ForeColor='Red' Font-Bold="true"></cc1:label>
        <br />
        <blockquote>
        <hr />
        This basic example demonstrates simple use of Anthem.NET controls. This form contains
        an Anthem button and Anthem Label which are used as part of the callback. The textbox
        is a plain ASP.NET textbox. The Anthem button triggers a Callback to the server
        which fires a standard btnSayHello_Click() event. In this event code you can simply
        update any Anthem controls and set their UpdateAfterCallback flag to <em>true </em>
        to force - in this case - the label to update. This behavior is available essentially
        to all of the Anthem controls provided.<br />
        <br />
        In addition there are nice features for 'action' objects like buttons that allow
        you to show different text while the update is in progress as well as PreCallbackFunction
        and PostCallbackFunction properties that allow you to specify a handler to execute
        before and after the callback. This example uses it to set the 'Updating...' text
        for the label. Note that this sample explicitly delays the server side code by a
        second to force the changed button text and updating message to display.<br />
        <hr />
        </blockquote>
        <uc1:ShowCode ID="ShowCode1" runat="server" CodeFile="~/Anthem/AnthemHello.aspx" Text="Show ASPX" width="150" />
        <uc1:ShowCode ID="ShowCode2" runat="server" CodeFile="~/Anthem/AnthemHello.aspx.cs" Text="Show CodeBehind" width="150"/>
    </div>
    </form>
</body>
</html>
