<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Chat.aspx.cs" Inherits="Anthem_Chat"
         EnableViewState="true" EnableEventValidation="false" ValidateRequest="false" %>

<%@ Register Assembly="Anthem" Namespace="Anthem" TagPrefix="anthem" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Anthem Chat</title>
    <link href="../WestWind.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <h1>
                Anthem Control Chat Demo</h1>
            <a href="../default.aspx">Home</a> | <a href="Chat.aspx">Reset Page</a> | <a href="chat.aspx" target="_blank">
                Open another Window</a> | <small>Page
                created:&nbsp;<%= DateTime.Now.ToString() %></small><br />
            &nbsp;<br />
                <blockquote>
                <div class="blackborder" style="border: solid 2px; padding: 10px; width:500px; background: #b5c7d6;font-size:8pt">
                    <table width="100%">
                        <tr>
                            <td valign="bottom" style="font-size:8pt;">Messages:</td>
                            <td align="right" style="font-size:8pt">
                            Your Handle:
                            <asp:TextBox ID="txtName" runat="server" Width="100px" Font-Size="8pt"></asp:TextBox><br />
                            Chat Id:
                            <asp:TextBox ID="txtChatId" runat="server" Width="100px"  Font-Size="8pt">TestChat</asp:TextBox>
                            </td>
                        </tr>
                    </table>
                    <div id="divMessageLabel" style="font-size:8pt;padding:5px;background:cornsilk;overflow-Y:scroll;border:solid 1px teal;height:150px;width:490px">
                    <anthem:Label ID="lblMessages" runat="server" Height="152px" Width="467px" 
                                  enableViewState="true" UpdateAfterCallBack="False"></anthem:Label>
                    </div>                                  
                    <hr />
                    <table>
                    <tr>
                    <td valign="top" style="width: 402px; height: 31px;font-size: 8pt;">
                     Enter a Message:<br />
                    <anthem:TextBox ID="txtMessage" runat="server" Height="47px" TextMode="MultiLine"
                        Width="397px"  Font-Size="8pt" Font-Names="tahoma,sans serif"></anthem:TextBox>
                    </td>
                    <td style="width: 100px; height: 31px">
                    <!-- input type="button" id="btnRefresh2" value="Refresh2" onclick="RefreshMessages();" style="font-size:8pt;font-names:tahoma" / -->
                    <anthem:Button ID="btnRefresh" runat="server" Height="30px" Width="90px" Text="Refresh" AccessKey="R" OnClick="btnRefresh_Click" PreCallBackFunction="PreRefresh" PostCallBackFunction="PostSend" Font-Names="tahoma,sans serif" Font-Size="8pt" ></anthem:Button><br />
                    <anthem:Button ID="btnSend" runat="server" Height="32px" Width="90px" Text="Send" AccessKey="S" OnClick="btnSend_Click" PostCallBackFunction="PostSend"  PreCallBackFunction="PreSend" Font-Names="tahoma,sans serif" Font-Size="8pt" EnabledDuringCallBack="False"></anthem:Button>
                    </td>
                    </tr>
                    </table>
                </div>
                        
              </blockquote>
        </div>
        
    <script type="text/javascript">   
    function PostSend(Sender)
    {
        // *** Force the message display to scroll to the bottom
        var Ctl = document.getElementById('divMessageLabel');
        if (Ctl == null)
            return;
        Ctl.scrollTop = 999999;    
    }
    function PreSend(Sender)
    {
        var Ctl = document.getElementById('txtName');
        if (Ctl == null)
            return false;
        if (Ctl.value == "")
        {
            alert('Please set your handle before sending text.');
            Ctl.focus();
            return false;
        }
        return true;
    }
    function PreRefresh(Sender)
    {
        return;
        var Ctl = document.getElementById('lblMessages');
        if (Ctl == null)
            return;
        
        var Text = Ctl.innerHTML;
        
        var Ctl = document.getElementById('MessageText');
        if (Ctl == null)
            return;
        
        Ctl.value = Text;
    }
    
    var LastOn = new Date();
    function RefreshMessages()
    {
        var ChatId = document.getElementById('txtChatId').value;
        Anthem_InvokePageMethod('RefreshMessages',[ChatId,LastOn.toUTCString()],RefreshMessagesCallback);
        LastOn = new Date();
    }
    
    // *** This is the version that uses JavaScript and JSON
    // *** for more lightweight messages.
    function RefreshMessagesCallback(Result)
    {
        if (Result == null)
            return;
            
        if (Result.error)
        {   
            alert("Callback error: \r\n" + Result.error);         
            return;
        }
       
        var Ctl = document.getElementById('lblMessages');
        Ctl.innerHTML = Ctl.innerHTML + Result.value;

        var Ctl = document.getElementById('divMessageLabel');
        Ctl.scrollTop = 9999999;
    }
    
    // *** Manually fire the 'Refresh' rather than using a Timer Object
    // *** because we need a Pre event to pick up the Message Text
    window.setInterval("document.getElementById('btnRefresh').click()",5000);
    //window.setInterval("RefreshMessages()",5000);
    </script>    
    <asp:HiddenField ID="MessageText" runat="server" />

    </form>
</body>
</html>
