<%@Page Language="C#" AutoEventWireup="true" CodeFile="CustomerListControls.aspx.cs" Inherits="Anthem_CustomerListControls" 
        EnableViewState="true" EnableEventValidation="false" %>
<%@Register Assembly="Anthem" Namespace="Anthem" TagPrefix="anthem" %>
<%@Register Assembly="wwWebControls" Namespace="Westwind.Web.Controls" TagPrefix="ww" %>
<%@ Register Src="../ShowCode.ascx" TagName="ShowCode" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Anthem Controls Northwind Customer List</title>
    <link href="../WestWind.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
          <h1>Anthem Controls Northwind Customer List</h1>
        <a href="../default.aspx">Home</a> | <a href="CustomerListControls.aspx" >Reset Page</a> | <small>Page created:&nbsp;<%= DateTime.Now.ToString() %></small><br />
        <br />
        <br />
    <table class="blackborder" style="background: #eeeeee; text-align: left; height: 459px;"
                cellpadding="0">
                <tr class="gridheader">
                    <td colspan="2" class="gridheader" height="24">
                        &nbsp;<span id="DialogTitle">Customer List</span></td>
                </tr>
                <tr>
                    <td valign="top" style="height: 435px; width: 6px;">                        
                        <anthem:ListBox ID="lstCustomers" runat="server" Height="433px" Width="266px"  
                                     EnableViewState="false"
                                     OnSelectedIndexChanged="lstCustomers_SelectedIndexChanged" 
                                     AutoCallBack="true">
                        </anthem:ListBox>
                    </td>
                    <td valign="top" style="padding-left: 20px; padding-top: 10px; padding-right: 10px;
                        height: 435px;">
                        <anthem:Panel ID="CustomerInfoUpdatePanel" runat="server">
                            <asp:Label ID="ErrorMessage"  runat="server" CssClass="errormessage" EnableViewState="false"
                                Visible="False" Width="344px"></asp:Label><br />
                        <asp:Label ID="Label2" runat="server" Text="Name" Width="263px"></asp:Label><br />
                        <asp:TextBox ID="txtContactName" runat="server" Width="350px" Text="<%# this.Customer.Entity.Contactname %>"></asp:TextBox>
                        <br />
                        <asp:Label ID="Label1" runat="server" Text="Company:"></asp:Label><br />
                        <asp:TextBox ID="txtCompany" runat="server" Width="350px" Text="<%# this.Customer.Entity.Companyname %>"></asp:TextBox><br />
                        <br />
                        Address:<br />
                        <asp:TextBox ID="txtAddress" runat="server" Width="350px" Height="53px" TextMode="MultiLine" Text="<%# this.Customer.Entity.Address %>"></asp:TextBox><br />
                        <br />
                        City:<br />
                        <asp:TextBox ID="txtCity" runat="server" Width="350px" Text="<%# this.Customer.Entity.City %>"></asp:TextBox><br />
                        <br />
                        <table>
                            <tr>
                                <td>
                                    Region:
                                    <br />
                                    <asp:TextBox ID="txtRegion" runat="server" Width="74px" Text="<%# this.Customer.Entity.Region %>"></asp:TextBox></td>
                                <td>
                                    &nbsp;&nbsp;Postal Code:<br />
                                    &nbsp;&nbsp;<asp:TextBox ID="txtPostalCode" runat="server" Width="192px" Text="<%# this.Customer.Entity.Postalcode %>"></asp:TextBox><br />
                                </td>
                            </tr>
                
                        </table>
                        <br />
                        Country:<br />
                        <asp:TextBox ID="txtCountry" runat="server" Width="350px" Text="<%# this.Customer.Entity.Country %>"/><br />
                        
                        </anthem:Panel>
                        <hr />
                        &nbsp;
                        <anthem:Button id="btnSave" runat="server" OnClick="btnSave_Click" Text="Save" Width="120px" AccessKey="S" />
                        <anthem:Button ID="btnRefresh" runat="server" OnClick="btnRefresh_Click" Text="Refresh List"
                            TextDuringCallBack="Getting Customers" Width="120px" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <hr />
                        <center>
                        <anthem:DataGrid ID="dgOrders" runat="server" Width="90%" AutoGenerateColumns="False" 
                                         UpdateAfterCallBack="False" cssclass="blackborder" EnableViewState="false"
                                         ShowFooter="true" >
                            <AlternatingItemStyle CssClass="gridalternate" />
                            <FooterStyle CssClass="gridheader" />
                            <HeaderStyle CssClass="gridheader" />
                            <Columns>
                                <asp:BoundColumn DataField="OrderDate" DataFormatString="{0:d}" HeaderText="Date">
                                    <headerstyle font-italic="False" font-overline="False" font-strikeout="False"
                                        font-underline="False" horizontalalign="Center" width="200"/>
                                </asp:BoundColumn>
                                <asp:BoundColumn DataField="OrderId" HeaderText="Order Number">
                                    <itemstyle  font-italic="False" font-overline="False" font-strikeout="False"
                                        font-underline="False" horizontalalign="Center" />
                                    <headerstyle font-italic="False" font-overline="False" font-strikeout="False"
                                        font-underline="False" horizontalalign="Center" width="200" />
                                    <footerstyle horizontalalign="right" />                                        
                                </asp:BoundColumn>
                                <asp:BoundColumn DataField="OrderTotal" DataFormatString="{0:n}" HeaderText="Order Total">
                                    <itemstyle  horizontalalign="Right" />
                                    <headerstyle horizontalalign="Right" />
                                    <footerstyle horizontalalign="right" />
                                </asp:BoundColumn>
                            </Columns>
                        </anthem:DataGrid>
                        <br />
                        </center>
                        </td>
                    </tr>
            </table>
    </div>
    <p />
    <hr />
        <uc1:ShowCode ID="ShowCode1" runat="server" CodeFile="~/Anthem/CustomerListControls.aspx.cs"
            Text="Show Code" />
        <uc1:ShowCode ID="ShowCode2" runat="server" CodeFile="~/Anthem/CustomerListControls.aspx"
            Text="Show ASPX" />
    
    </form>       
</body>
</html>
