<%@ WebService Language="C#" Class="AutoCompleteService" %>

using System;
using System.Collections;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class AutoCompleteService  : System.Web.Services.WebService {

    [WebMethod]
    public string[] GetCompletionList(string prefixText, int count) {
        if (count == 0) {
            count = 10;
        }

        if (prefixText.Equals("xyz")) {
            return new string[0];
        }

        ArrayList items = new ArrayList(count);
        Random random = new Random((int)DateTime.Now.Ticks);
        for (int i = 0; i < count; i++) {
            char c1 = (char)random.Next(33, 127);
            char c2 = (char)random.Next(33, 127);
            char c3 = (char)random.Next(33, 127);

            items.Add(prefixText + c1 + c2 + c3);
        }

        return (string[])items.ToArray(typeof(string));
    }
}
