<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>ListView</title>
    <atlas:ScriptManager runat="server" ID="scriptManager" />
    <link href="../../WestWind.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="Main" runat="server" />
    
    <h1>ListView</h1>

    <div id="dataContents">
    </div>
    
    <div style="visibility:hidden;display:none">
        <div id="masterTemplate">
            <div id="masterItemTemplate">
                Row <span id="masterIndex"></span> &nbsp; 
                <b><span id="masterName"></span></b><br />
                <span id="masterDescription"></span><br />
                <hr />
            </div><br/>
        </div>
        <div id="masterNoDataTemplate">No data</div>
    </div>

    <script type="text/xml-script">
        <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
            <components>
                <dataSource id="dataSource" autoLoad="true" serviceURL="SampleDataService.asmx" propertyChanged="onChange"/>
                
                <listView id="dataContents" itemTemplateParentElementId="masterTemplate" propertyChanged="onChange">
                    <bindings>
                        <binding dataContext="dataSource" dataPath="data" property="data"/>
                    </bindings>
                    <layoutTemplate>
                        <template layoutElement="masterTemplate"/>
                    </layoutTemplate>
                    <itemTemplate>
                        <template layoutElement="masterItemTemplate">
                            <label id="masterIndex">
                                <bindings>
                                    <binding dataPath="$index" transform="Add" property="text"/>
                                </bindings>
                            </label>
                            <label id="masterName">
                                <bindings>
                                    <binding dataPath="Name" property="text"/>
                                </bindings>
                            </label>
                            <label id="masterDescription">
                                <bindings>
                                    <binding dataPath="Description" property="text"/>
                                </bindings>
                            </label>
                        </template>
                    </itemTemplate>
                    <emptyTemplate>
                        <template layoutElement="masterNoDataTemplate"/>
                    </emptyTemplate>
                </listView>
                

            </components>
        </page>
    </script>

</body>
</html>

