<%@ WebService Language="C#" Class="CustomerService" %>

using System;
using System.Collections;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

public class Customer
{
  string _FirstName;
  string _LastName;

  public Customer(String firstName, String lastName)
  {
    _FirstName = firstName;
    _LastName = lastName;
  }

  public string FirstName
  {
    get { return _FirstName; }
    set { _FirstName = value; }
  }

  public string LastName
  {
    get { return _LastName; }
    set { _LastName = value; }
  }
}

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]

public class CustomerService : System.Web.Services.WebService
{

  [WebMethod]
  public Customer[] GetCustomers()
  {
    ArrayList list = new ArrayList();

    list.Add(new Customer("scott", "guthrie"));
    list.Add(new Customer("jonathan", "hawkins"));

    return (Customer[])list.ToArray(typeof(Customer));
  }


  [WebMethod]
  public Customer GetCustomer(int id)
  {
    return new Customer("scott", "guthrie");
  }

  [WebMethod]
  public void UpdateCustomer(Customer customer)
  {
    // todo: update database
  }
}

