﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<html>
<head runat="server">
    <title>Introduction to Ajax with ASP.NET 2.0</title>
    <link href="WestWind.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
            <div class="gridheader" style="height:30;font-size:16pt;text-align:center;padding-top:2px">
                        Script Callbacks and Ajax in ASP.NET 2.0
            </div>
            <hr />
            <br />
            <table cellpadding="10" width="100%">
                <tr>
                    <td valign="top" style="width:50%">
                            <h3><strong>Script Callbacks</strong></h3>
                            <ul>
                                <li><strong><a href="scriptcallbacks/SimpleCallBack.aspx">Simple Callback</a><br />
                                </strong>Demonstrates the simplest of callbacks that is implemented entirely server
                                side.
                                This sample simply retrieves the time from the server and pops up an alert box
                                with the result.<br />
                                <br />
                                </li>
                            <li><strong><a href="scriptCallbacks/invoicelist.aspx">Invoice Lineitem Hover Window Popup</a></strong><br />
                                Demonstrates how to create hover windows
                                    by popping up dynamic Html
                                content on top of an existing page. This example shows Northwind invoice
                                listing and pops up lineitems dynamically as you over over an invoice item.<br />
                                <br />
                            </li>
                            <li><strong><a href="scriptCallbacks/InvoiceLookup.aspx">Customer Invoice, LineItems Dynamic Dropdowns</a></strong><br />
                                This example demonstrates a more complex scenario with multiple callbacks
                                that are used to dynamically populate a set of list controols with content
                                from the server.</li></ul>
                        <p>
                        </p>
                        <h3>
                            &nbsp;</h3>
                        <h3>
                            wwHoverPanel</h3>
                        <ul>
                            <li><strong><a href="wwHoverPanel/HoverList.aspx">HoverPanel Control Invoice List Popup</a></strong><br />
                            This demo shows a simplified Hover Panel control that makes it real
                                easy to create 'popover' windows from the same or other HTML pages. A single script
                                call handles all the details of retrieving the data and popping up the pop over
                                window.<br />
                                <br />
                            </li>
                            <li><strong><a href="wwHoverPanel/SimpleMethodCallbacks.aspx">Simple JSON Object Messaging</a>
                                / <a href="wwHoverPanel/ComplexObjects.aspx">Complex Objects</a></strong><br />
                                These functional demonstrate the basics of how wwHoverPanel's ability to call [CallbackMethod]
                                attributed methods of the page using JSON. This really simple mechanism creates
                                a client class to match the server method signatures and allows calling those methods
                                with very little code.<br />
                                <br />
                            </li>
                            <li><strong><a href="wwHoverPanel/CustomerList.aspx">Northwind Customer List with JSON</a></strong></li>This example demonstrates using the JSON Page methods to pass objects from the server
                            to the client and back for displaying a customer list and editing customer information.
                            Demonstrates loading tables, objects, and integrating client code with server business
                            objects as well as handling exceptions.</ul>
                    </td>
                    <td valign="top" width="50%" style="border-left:solid 1px darkblue;padding-left:20px">
                        
                        <h3>Anthem</h3>
                        <ul>
                            <li><a href="Anthem/AnthemHello.aspx"><strong>Anthem HelloWorld</strong></a><br />
                                This example demonstrates the very basics of the Anthem control architecture.<br />
                                <br />
                            </li>
                            <li><a href="Anthem/CustomerListControls.aspx"><strong>Customer List Browser</strong></a><strong>&nbsp;
                            </strong>(<a href="Anthem/CustomerListJSON.aspx">JSON Version</a>)<br />
                                These two examples demonstrate using Anthem to display a customer listing of the
                                Northwind Database using both Anthem controls and JSON to compare the approaches
                                and code involved.<br />
                                <br />
                            </li>
                            <li><strong><a href="Anthem/Chat.aspx">Web Chat</a></strong>
                                <br />
                                This sample demonstrates some of Anthem's control and page based features in a Web
                                Chat form that allows multiple browser windows to talk to each other with messages.
                                Although not a very practical example, it demonstrates many of the core features
                                of Anthem.<br />
                                <br />
                            </li>
                        </ul>
                        <h3>
                            ATLAS</h3>
                        <ul>
                            <li><strong><a href="Atlas/CustomerListUpdatePanel.aspx">CustomerList with UpdatePanel<br />
                            </a></strong>This example demonstrates the ATLAS UpdatePanel and using traditional server
                                side code to update page content without postbacks.<br />
                                <br />
                            </li>
                            <li><strong><a href="Atlas/StockDisplay.aspx">ATLAS Stock Portfolio</a></strong><br />
                                This example combines server controls and
                                client code to provide an interactive
                                Stock Portfolio form. Look up stock quotes, add stocks to your portfolio and chart
                                your portfolio all without full page postbacks.<br />
                                <br />
                            </li>
                            <li><strong><a href="Atlas/LongProgress.aspx">Query with Progress information</a><br />
                            </strong>This sample demonstrates how to run a long running task and provide interactive
                                feedback on the page. Uses a combination of ATLAS client JavaScript code and UpdatePanel
                                to provide page updates.
                                <br />
                                <br />
                            </li>
                            <li><strong><a href="Atlas/Chat.aspx">ATLAS Chat</a></strong><br />
                                This sample demonstrates using ATLAS's Web Service functionality with JavaScript
                                code to create a fairly full featured chat application. In comparison to the Anthem
                                chat, this verison pushes much less data over the wire, although it's still a very
                                chatty interface.</li>
                        </ul>
                    </td>
                </tr>
            </table>
    <hr>
    <table width="99%">
        <tr>
            <td valign="top">
                <a href="http://www.west-wind.com"><img src="images/wwtoollogo_text.gif" alt="West Wind"  border="0" align="left" ></a>
                © Rick Strahl, <a href="http://www.west-wind.com/">West Wind Technologies</a>
            </td>
            <td align="right" valign="top">
                <img src="images/help.gif" alt="Configuration Help">
                <a href="_readme.htm">Sample Configuration</a>
            </td>
        </tr>
    </table>
    </form>
    
</body>
</html>
