using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using ScriptCallbacks.BusinessObjects;

public partial class ItemAbstract : System.Web.UI.Page
{
    public ProductsRow rowItem = null;

    protected void Page_Load(object sender, EventArgs e)
    {
        int ProductId = -1;

        string Id = Request.QueryString["Id"];
        if (Id == null)
            this.ErrorResponse();

        if (!int.TryParse(Id, out ProductId))
            this.ErrorResponse();
        
        busItem Item = new busItem();
        if (!Item.Load(ProductId))
            this.ErrorResponse();

        rowItem = Item.Entity;

        this.lblDescription.Text = rowItem.Productname;
        this.lblPrice.Text = rowItem.Unitprice.ToString("c");
            
        
    }   

    protected void ErrorResponse()
    {
        Response.Write("");
        Response.End();
    }
}
